---
updatedAt: 2026-04-21T13:55:31.000Z
agentTools:
  projectIndex: https://developer.operations1.com/llms.txt
---

# Execute order connector

Creates an order using an order connector created within Operations1. See in our guide section [how to configure an Operations1 order connector](https://developer.operations1.com/docs/order-connector).

The request body needs to contain all properties defined in the order connector configuration. You will find an example payload in the specific order connector configuration page in Operations1.
If the order connector creation is successful, the response will contain the created order object with a status code of 201. If something is incorrect with the payload you will get an error with status code 422 with a more specific error code and message explaining the problem.

We are using the provided data to find fitting class characteristics. The provided values need to match the identification properties of the class characteristics. The found class characteristics are then used to find documents with matching class characteristics. These documents will be attached to the created order. The order is automatically started. If no document is found, the order creation will fail with a 422 error. If multiple documents are found, all documents will be attached to the order.


To assign groups to the created order, configure the `responsibleGroups` property in the order connector configuration (e.g., "responsibleGroups": "assigned-groups"). During execution, provide this key in the request body with an array of group external IDs as the value (e.g., "assigned-groups": ["Assembly Team", "Quality Control Group"]). The external IDs corresponding to the groups will be assigned to the created order. Ensure all provided group external IDs exist in the system - any non-existent group IDs will be ignored during order creation.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Operations1 REST API",
    "description": "Operations1 REST API documentation",
    "version": "2025-04-21"
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "paths": {
    "/tenants/{tenantId}/connectors/ops1-order-connectors/{connectorId}/execute": {
      "post": {
        "operationId": "executeOrderConnector",
        "summary": "Execute order connector",
        "tags": [
          "Connector"
        ],
        "description": "Creates an order using an order connector created within Operations1. See in our guide section [how to configure an Operations1 order connector](https://developer.operations1.com/docs/order-connector).\n\nThe request body needs to contain all properties defined in the order connector configuration. You will find an example payload in the specific order connector configuration page in Operations1.\nIf the order connector creation is successful, the response will contain the created order object with a status code of 201. If something is incorrect with the payload you will get an error with status code 422 with a more specific error code and message explaining the problem.\n\nWe are using the provided data to find fitting class characteristics. The provided values need to match the identification properties of the class characteristics. The found class characteristics are then used to find documents with matching class characteristics. These documents will be attached to the created order. The order is automatically started. If no document is found, the order creation will fail with a 422 error. If multiple documents are found, all documents will be attached to the order.\n\n\nTo assign groups to the created order, configure the `responsibleGroups` property in the order connector configuration (e.g., \"responsibleGroups\": \"assigned-groups\"). During execution, provide this key in the request body with an array of group external IDs as the value (e.g., \"assigned-groups\": [\"Assembly Team\", \"Quality Control Group\"]). The external IDs corresponding to the groups will be assigned to the created order. Ensure all provided group external IDs exist in the system - any non-existent group IDs will be ignored during order creation.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": {
                  "anyOf": [
                    {
                      "type": "string"
                    },
                    {
                      "type": "object",
                      "additionalProperties": {
                        "type": "string"
                      }
                    },
                    {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        "parameters": [
          {
            "schema": {
              "enum": [
                "ar",
                "bg",
                "bs",
                "cs",
                "da",
                "de",
                "el",
                "en",
                "es",
                "et",
                "fi",
                "fo",
                "fr",
                "hi",
                "hr",
                "hu",
                "id",
                "is",
                "it",
                "ja",
                "ka",
                "lo",
                "lt",
                "mn",
                "ms",
                "mt",
                "nl",
                "nn",
                "pl",
                "pt",
                "ro",
                "ru",
                "sk",
                "sl",
                "sq",
                "sr",
                "sv",
                "ta",
                "th",
                "tr",
                "uk",
                "vi",
                "zh"
              ],
              "type": "string"
            },
            "in": "query",
            "name": "lang",
            "required": false
          },
          {
            "schema": {
              "type": "string",
              "minLength": 1,
              "maxLength": 100
            },
            "in": "path",
            "name": "tenantId",
            "required": true,
            "description": "Consists of the subdomain. The `tenantId` for `https://company.operations1.app/` is `company`."
          },
          {
            "schema": {
              "type": "integer",
              "minimum": 1,
              "maximum": 9007199254740991
            },
            "in": "path",
            "name": "connectorId",
            "required": true
          },
          {
            "schema": {
              "anyOf": [
                {
                  "type": "string",
                  "examples": [
                    "2025-04-21",
                    "unstable"
                  ],
                  "format": "date",
                  "description": "Specifies the API version in date format (e.g., \"2024-01-01\"). Allowed values include 2025-04-21"
                },
                {
                  "type": "string",
                  "examples": [
                    "latest"
                  ],
                  "description": "Indicates the most recent stable API version.",
                  "enum": [
                    "latest"
                  ]
                },
                {
                  "type": "string",
                  "examples": [
                    "unstable"
                  ],
                  "description": "Indicates the unstable API version.",
                  "enum": [
                    "unstable"
                  ]
                }
              ]
            },
            "examples": {
              "2025-04-21": {
                "value": "2025-04-21"
              },
              "unstable": {
                "value": "unstable"
              }
            },
            "in": "header",
            "name": "accept-version",
            "required": true,
            "description": "Defines the API version. Using a date is recommended for stability. Avoid using `latest` in production, as it refers to the most up-to-date functionality, which may include breaking changes. For more details, see our article on [versioning](https://developer.operations1.com/reference/versioning)."
          }
        ],
        "responses": {
          "201": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "id",
                    "ruleId",
                    "customId",
                    "name",
                    "description",
                    "additionalData",
                    "priority",
                    "state",
                    "startDate",
                    "dueDate",
                    "assignedUsers",
                    "assignedGroups",
                    "canBeTakenOver",
                    "createdAt",
                    "createdBy",
                    "createdByUserName",
                    "updatedAt",
                    "updatedBy",
                    "updatedByUserName",
                    "archived",
                    "automaticCompletion",
                    "executionMode",
                    "variables"
                  ],
                  "properties": {
                    "id": {
                      "anyOf": [
                        {
                          "type": "integer",
                          "minimum": 1
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "ruleId": {
                      "anyOf": [
                        {
                          "type": "integer",
                          "minimum": 1
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "customId": {
                      "anyOf": [
                        {
                          "type": "string",
                          "minLength": 1
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "name": {
                      "type": "string"
                    },
                    "description": {
                      "type": "string"
                    },
                    "additionalData": {
                      "type": "string"
                    },
                    "priority": {
                      "type": "integer",
                      "minimum": 1,
                      "maximum": 10
                    },
                    "state": {
                      "enum": [
                        "in-edit",
                        "not-started",
                        "in-progress",
                        "cancelled",
                        "paused",
                        "problem",
                        "done",
                        "scheduled"
                      ],
                      "type": "string"
                    },
                    "startDate": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "dueDate": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "assignedUsers": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "id",
                          "name"
                        ],
                        "properties": {
                          "id": {
                            "anyOf": [
                              {
                                "type": "integer",
                                "minimum": 1,
                                "maximum": 9007199254740991
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "name": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "displayName": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        }
                      }
                    },
                    "assignedGroups": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "id",
                          "name"
                        ],
                        "properties": {
                          "id": {
                            "anyOf": [
                              {
                                "type": "integer",
                                "minimum": 1,
                                "maximum": 9007199254740991
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "name": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "displayName": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        }
                      }
                    },
                    "canBeTakenOver": {
                      "type": "boolean"
                    },
                    "orderDocumentAssignments": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "id",
                          "position",
                          "quantity",
                          "subAssigneeId",
                          "subAssigneeUserName",
                          "assignedUsers",
                          "assignedGroups",
                          "documentBaseId",
                          "documentId",
                          "useLatestDocument",
                          "classCharacteristics"
                        ],
                        "properties": {
                          "id": {
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 9007199254740991,
                            "description": "Order document assignment ID"
                          },
                          "position": {
                            "type": "integer",
                            "minimum": 0
                          },
                          "quantity": {
                            "type": "integer",
                            "minimum": 1
                          },
                          "subAssigneeId": {
                            "anyOf": [
                              {
                                "type": "integer",
                                "minimum": 1
                              },
                              {
                                "type": "null"
                              }
                            ],
                            "deprecated": true,
                            "description": "Deprecated. Use assignedUsers and assignedGroups instead."
                          },
                          "subAssigneeUserName": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ],
                            "deprecated": true,
                            "description": "Deprecated. Use assignedUsers instead."
                          },
                          "assignedUsers": {
                            "anyOf": [
                              {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "required": [
                                    "id",
                                    "name"
                                  ],
                                  "properties": {
                                    "id": {
                                      "anyOf": [
                                        {
                                          "type": "integer",
                                          "minimum": 1,
                                          "maximum": 9007199254740991
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    },
                                    "name": {
                                      "anyOf": [
                                        {
                                          "type": "string"
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    },
                                    "displayName": {
                                      "anyOf": [
                                        {
                                          "type": "string"
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    }
                                  }
                                }
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "assignedGroups": {
                            "anyOf": [
                              {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "required": [
                                    "id",
                                    "name"
                                  ],
                                  "properties": {
                                    "id": {
                                      "anyOf": [
                                        {
                                          "type": "integer",
                                          "minimum": 1,
                                          "maximum": 9007199254740991
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    },
                                    "name": {
                                      "anyOf": [
                                        {
                                          "type": "string"
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    },
                                    "displayName": {
                                      "anyOf": [
                                        {
                                          "type": "string"
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    }
                                  }
                                }
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "documentBaseId": {
                            "anyOf": [
                              {
                                "type": "integer",
                                "minimum": 1,
                                "maximum": 9007199254740991
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "documentId": {
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 9007199254740991
                          },
                          "useLatestDocument": {
                            "type": "boolean"
                          },
                          "reportName": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "classCharacteristics": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "required": [
                                "id",
                                "name",
                                "classId",
                                "data",
                                "createdAt",
                                "createdBy",
                                "createdByUserName",
                                "updatedAt",
                                "updatedBy",
                                "updatedByUserName",
                                "archived"
                              ],
                              "properties": {
                                "id": {
                                  "type": "integer",
                                  "minimum": 1,
                                  "maximum": 9007199254740991
                                },
                                "name": {
                                  "type": "string"
                                },
                                "classId": {
                                  "type": "integer",
                                  "minimum": 1,
                                  "maximum": 9007199254740991
                                },
                                "data": {
                                  "type": "object",
                                  "additionalProperties": {
                                    "type": "string"
                                  }
                                },
                                "createdAt": {
                                  "type": "string",
                                  "format": "date-time"
                                },
                                "createdBy": {
                                  "anyOf": [
                                    {
                                      "type": "integer",
                                      "minimum": 1,
                                      "maximum": 9007199254740991
                                    },
                                    {
                                      "type": "null"
                                    }
                                  ]
                                },
                                "createdByUserName": {
                                  "anyOf": [
                                    {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 255
                                    },
                                    {
                                      "type": "null"
                                    }
                                  ]
                                },
                                "updatedAt": {
                                  "type": "string",
                                  "format": "date-time"
                                },
                                "updatedBy": {
                                  "anyOf": [
                                    {
                                      "type": "integer",
                                      "minimum": 1,
                                      "maximum": 9007199254740991
                                    },
                                    {
                                      "type": "null"
                                    }
                                  ]
                                },
                                "updatedByUserName": {
                                  "anyOf": [
                                    {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 255
                                    },
                                    {
                                      "type": "null"
                                    }
                                  ]
                                },
                                "archived": {
                                  "type": "boolean"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "reportIds": {
                      "type": "array",
                      "items": {
                        "type": "integer"
                      }
                    },
                    "createdAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "createdBy": {
                      "anyOf": [
                        {
                          "type": "integer",
                          "minimum": 1
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "createdByUserName": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "updatedAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "updatedBy": {
                      "anyOf": [
                        {
                          "type": "integer",
                          "minimum": 1
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "updatedByUserName": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "archived": {
                      "type": "boolean"
                    },
                    "automaticCompletion": {
                      "type": "boolean"
                    },
                    "executionMode": {
                      "enum": [
                        "parallel",
                        "sequence"
                      ],
                      "type": "string"
                    },
                    "variables": {
                      "anyOf": [
                        {
                          "type": "object",
                          "additionalProperties": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        {
                          "type": "null"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "This error ist returned if authentication of the request was not successful. For more information read our article about [authentication](https://developer.operations1.com/reference/authentication).",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "message",
                    "errorCode"
                  ],
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message"
                    },
                    "errorCode": {
                      "type": "string",
                      "enum": [
                        "UNAUTHENTICATED"
                      ]
                    }
                  },
                  "description": "This error ist returned if authentication of the request was not successful. For more information read our article about [authentication](https://developer.operations1.com/reference/authentication)."
                }
              }
            }
          },
          "403": {
            "description": "This error is returned if you do not have the necessary permissions for the endpoint.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "message",
                    "errorCode"
                  ],
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message"
                    },
                    "errorCode": {
                      "type": "string",
                      "enum": [
                        "ACCESS_FORBIDDEN"
                      ]
                    }
                  },
                  "description": "This error is returned if you do not have the necessary permissions for the endpoint."
                }
              }
            }
          },
          "404": {
            "description": "Connector configuration not found, or a referenced class is archived or does not exist",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "message",
                    "errorCode"
                  ],
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message"
                    },
                    "errorCode": {
                      "enum": [
                        "ORDER_CONNECTOR_CONFIGURATION_NOT_FOUND",
                        "CLASS_IS_ARCHIVED_OR_NOT_FOUND"
                      ],
                      "type": "string"
                    }
                  },
                  "description": "Connector configuration not found, or a referenced class is archived or does not exist"
                }
              }
            }
          },
          "422": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {
                      "type": "object",
                      "required": [
                        "message",
                        "errorCode"
                      ],
                      "properties": {
                        "message": {
                          "type": "string",
                          "description": "Some required fields are missing from your request. Review the connector configuration and ensure all required fields are included."
                        },
                        "errorCode": {
                          "enum": [
                            "MISSING_REQUIRED_CONNECTOR_CONFIGURATION_FIELDS"
                          ],
                          "type": "string"
                        }
                      }
                    },
                    {
                      "type": "object",
                      "required": [
                        "message",
                        "errorCode"
                      ],
                      "properties": {
                        "message": {
                          "type": "string",
                          "description": "One or more class characteristics are missing or invalid. Make sure to provide valid class characteristics which are not archived."
                        },
                        "errorCode": {
                          "enum": [
                            "MISSING_OR_INVALID_CLASS_CHARACTERISTICS"
                          ],
                          "type": "string"
                        }
                      }
                    },
                    {
                      "type": "object",
                      "required": [
                        "message",
                        "errorCode"
                      ],
                      "properties": {
                        "message": {
                          "type": "string",
                          "description": "No document is attached to this order"
                        },
                        "errorCode": {
                          "enum": [
                            "NO_DOCUMENT_ATTACHED_TO_ORDER"
                          ],
                          "type": "string"
                        }
                      }
                    },
                    {
                      "type": "object",
                      "required": [
                        "message",
                        "errorCode"
                      ],
                      "properties": {
                        "message": {
                          "type": "string",
                          "description": "The selected order connector is currently disabled. Enable the connector to proceed with the order creation."
                        },
                        "errorCode": {
                          "enum": [
                            "ORDER_CONNECTOR_IS_DISABLED"
                          ],
                          "type": "string"
                        }
                      }
                    },
                    {
                      "type": "object",
                      "required": [
                        "message",
                        "errorCode"
                      ],
                      "properties": {
                        "message": {
                          "type": "string",
                          "description": "Order variable must be an object with string keys and values"
                        },
                        "errorCode": {
                          "enum": [
                            "INVALID_ORDER_VARIABLE"
                          ],
                          "type": "string"
                        }
                      }
                    },
                    {
                      "type": "object",
                      "required": [
                        "message",
                        "errorCode"
                      ],
                      "properties": {
                        "message": {
                          "type": "string",
                          "description": "Invalid order date format. Expected format (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss.sssZ)"
                        },
                        "errorCode": {
                          "enum": [
                            "INVALID_ORDER_DATE_FORMAT"
                          ],
                          "type": "string"
                        }
                      }
                    },
                    {
                      "type": "object",
                      "required": [
                        "message",
                        "errorCode"
                      ],
                      "properties": {
                        "message": {
                          "type": "string",
                          "description": "This indicates an invalid date, e.g. the start date must be before the end date or only an end date is provided without a start date."
                        },
                        "errorCode": {
                          "enum": [
                            "INVALID_DATE"
                          ],
                          "type": "string"
                        }
                      }
                    },
                    {
                      "type": "object",
                      "required": [
                        "message",
                        "errorCode"
                      ],
                      "properties": {
                        "message": {
                          "type": "string",
                          "description": "This error is returned if one of the other properties is invalid see the message for more details"
                        },
                        "errorCode": {
                          "enum": [
                            "INVALID_VARIABLE"
                          ],
                          "type": "string"
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "429": {
            "description": "This error is returned if your request was not executed due to rate limit. For more information read our article about [rate limiting](https://developer.operations1.com/reference/rate-limiting).",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "message",
                    "errorCode"
                  ],
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message"
                    },
                    "errorCode": {
                      "type": "string",
                      "enum": [
                        "TOO_MANY_REQUESTS"
                      ]
                    }
                  },
                  "description": "This error is returned if your request was not executed due to rate limit. For more information read our article about [rate limiting](https://developer.operations1.com/reference/rate-limiting)."
                }
              }
            }
          },
          "default": {
            "description": "General errors",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "message",
                    "errorCode"
                  ],
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message"
                    },
                    "errorCode": {
                      "enum": [
                        "SERVER_ERROR",
                        "ROUTE_NOT_FOUND",
                        "NOT_FOUND",
                        "API_VERSION_NOT_SET",
                        "TOO_MANY_REQUESTS",
                        "UNAUTHENTICATED",
                        "ACCESS_FORBIDDEN",
                        "VALIDATION_ERR",
                        "INVALID_TENANT",
                        "MALFORMED_AUTHORIZATION_HEADER",
                        "BAD_REQUEST"
                      ],
                      "type": "string",
                      "description": "Error code"
                    }
                  },
                  "description": "General errors"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.operations1.app"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```